OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DrawInstanced

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBDrawInstanced :: MonadIO m => m Bool
- gl_ARB_draw_instanced :: Bool
- glDrawArraysInstancedARB :: MonadIO m => GLenum -> GLint -> GLsizei -> GLsizei -> m ()
- glDrawElementsInstancedARB :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> m ()

# Extension Support

glGetARBDrawInstanced :: MonadIO m => m Bool

Is the ARB_draw_instanced extension supported?

gl_ARB_draw_instanced :: Bool

Is the ARB_draw_instanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawInstanced` in those cases instead.

# Functions

glDrawArraysInstancedARB

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glDrawArraysInstanced`.

glDrawElementsInstancedARB

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glDrawElementsInstanced`.